=== debian/changelog ===
ros-indigo-moveit-ros-planning (0.7.14-1trusty) trusty; urgency=high

  * [fix] fix race conditions when updating PlanningScene #350 <https://github.com/ros-planning/moveit/issues/350>
  * [improvement] skip non-actuated joints for trajectory execution (#753 <https://github.com/ros-planning/moveit/issues/753>)
  * [capability][revert] Revert "Improved IPTP by fitting a cubic spline (#382 <https://github.com/ros-planning/moveit/issues/382>)"
  * Contributors: Dave Coleman, Kei Okada, Michael Görner, Robert Haschke, Ryan Keating

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 20 Oct 2018 07:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.13-1trusty) trusty; urgency=high

  * [fix] Avoid segfault when validating a multidof-only trajectory (#691 <https://github.com/ros-planning/moveit/issues/691>). Fixes #539 <https://github.com/ros-planning/moveit/issues/539>
  * [fix] find and link against tinyxml where needed (#569 <https://github.com/ros-planning/moveit/issues/569>)
  * [capability] Multi DOF Trajectory only providing translation not velocity (#555 <https://github.com/ros-planning/moveit/issues/555>)
  * Contributors: Isaac I.Y. Saito, Michael Görner, Mikael Arguedas, Troy Cordie

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 25 Dec 2017 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.12-1trusty) trusty; urgency=high

  * [fix] Support for MultiDoF only trajectories #553 <https://github.com/ros-planning/moveit/pull/553>
  * Contributors: Cyrille Morin

 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 06 Aug 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.11-1trusty) trusty; urgency=high

  * [fix] Include callback of execution status if trajectory is invalid. (#524 <https://github.com/ros-planning/moveit/issues/524>)
  * Contributors: dougsm

 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 21 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.10-1trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 07 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.9-1trusty) trusty; urgency=high

  * [fix] gcc6 build error (#471 <https://github.com/ros-planning/moveit/issues/471>, #458 <https://github.com/ros-planning/moveit/issues/458>)
  * [fix][moveit_ros_planning] undefined symbol in planning_scene_monitor (#463 <https://github.com/ros-planning/moveit/issues/463>)
  * Contributors: Dmitry Rozhkov, Ruben Burger

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 03 Apr 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.8-1trusty) trusty; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * [fix][moveit_ros_planning] Remove unnecessary dependency on Qt4
  * Contributors: Dave Coleman, Dmitry Rozhkov

 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.7-1trusty) trusty; urgency=high

  * [maintenance] Use static_cast to cast to const. (#434 <https://github.com/ros-planning/moveit/issues/434>)
  * [enhancement] Improved IPTP by fitting a cubic spline (#382 <https://github.com/ros-planning/moveit/issues/382>)
  * Contributors: Dave Coleman, Maarten de Vries, Ruben Burger

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.6-1trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 30 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.5-1trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 25 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.4-1trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.3-1trusty) trusty; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Tue, 20 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.2-1trusty) trusty; urgency=high

  * apply planning scene: use newly exposed success value of newPlanningSceneMessage
  * simplify newPlanningSceneMessage
  * monitor: make newPlanningSceneMessage public
    This is required for capabilities to update the planning scene.
    ABI-compatible.
  * Add library moveit_collision_plugin_loader as an exported catkin library (#677 <https://github.com/ros-planning/moveit_ros/issues/677>)
  * Contributors: Levi Armstrong, v4hn

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.1-1trusty) trusty; urgency=high

  * Adding acceleration scaling factor
  * Contributors: hemes

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 11 Apr 2016 07:00:00 -0000

ros-indigo-moveit-ros-planning (0.7.0-1trusty) trusty; urgency=high

  * Removed trailing whitespace from entire repository
  * fixed segfault on shutdown
    use of pluginlib's createUnmanagedInstance() is strongly discouraged:
    http://wiki.ros.org/class_loader#Understanding_Loading_and_Unloading
    here, the kinematics plugin libs were unloaded before destruction of corresponding pointers
  * Deprecate shape_tools
  * CurrentStateMonitor no longer requires hearing mimic joint state values.
  * Fix crash due to robot state not getting updated (moveit_ros #559)
  * Contributors: Dave Coleman, Dave Hershberger, Robert Haschke, kohlbrecher

 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 30 Jan 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.6.5-1trusty) trusty; urgency=high

  * update maintainers
  * perception: adding RAII-based locking for OccMapTree
  * perception: adding locks to planning scene monitor
  * Add time factor support for iterative_time_parametrization
  * Contributors: Jonathan Bohren, Michael Ferguson, kohlbrecher

 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 24 Jan 2015 08:00:00 -0000

ros-indigo-moveit-ros-planning (0.6.4-1trusty) trusty; urgency=high

  * Namespaced "traj_execution" for all trajectory_execution_manager logging

