=== debian/control ===
Source: ros-indigo-moveit-ros-planning
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-angles, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-dynamic-reconfigure, ros-indigo-moveit-core, ros-indigo-moveit-ros-perception, ros-indigo-pluginlib
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-indigo-moveit-ros-planning
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-angles, ros-indigo-dynamic-reconfigure, ros-indigo-moveit-core, ros-indigo-moveit-ros-perception, ros-indigo-pluginlib
Description: Planning components of MoveIt that use ROS
